# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/pod2man gcc-c++ pkgconfig(QtCore) pkgconfig(QtGui)
# END SourceDeps(oneline)
Name:           nomnom
Version:        0.3.1
Release:        alt1_8
Summary:        The graphical video download tool

Group:          Video
License:        GPLv3+
URL:            http://nomnom.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  qt4-devel
BuildRequires:  qjson-devel
BuildRequires:  desktop-file-utils
Requires:       quvi
Requires:       umph
Requires:       curl
Requires:       xdg-utils
Source44: import.info

%description
NomNom is an application for downloading videos from Youtube and other
similar video websites that require Adobe Flash to view the video content.
Video streaming or downloading can be started simply by dropping an URL
onto the application window.

%prep
%setup -q
sed -i -e 's/%{name}.xpm/%{name}/' %{name}.desktop.in
sed -i -e '/VERSION/d' %{name}.desktop.in

# Default configuration file
cat > NomNom.conf  <<EOF
[SharedPreferences]
quviPath=/usr/bin/quvi --category-http %u
curlPath=/usr/bin/curl -L -C - -o %f %u
playerPath=/usr/bin/xdg-open %u
umphPath=/usr/bin/umph --json -t %t -s %s -m %m %i
filenameFormat=%t.%s
regexp=/(\\\w|\\\s)/g
EOF

%build
%configure

make %{?_smp_mflags}


%install
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}
install -p -m 644 NomNom.conf $RPM_BUILD_ROOT/%{_sysconfdir}
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name} --with-qt --all-name
desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop


%files -f %{name}.lang
%doc COPYING NEWS README doc/HowtoTranslate.txt
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/tr
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%config(noreplace) %{_sysconfdir}/NomNom.conf
%{_mandir}/man1/%{name}.1.*


%changelog
* Wed May 01 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.1-alt1_8
- initial fc import

